Get charging plan
GET
/loadpoints/{id}/plan
const url = 'https://demo.evcc.io/api/loadpoints/1/plan';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://demo.evcc.io/api/loadpoints/1/planReturns the current charging plan for this loadpoint.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Loadpoint index starting at 1.
integer
Example
1Loadpoint index starting at 1
Responses
Section titled “Responses”Success
Media typeapplication/json
object
planId
Loadpoint index starting at 1.
integer
duration
Duration in s
integer
plan
Array<object>
A time slot with an associated price or emission value.
object
start
required
Start of the time slot.
string format: date-time
end
required
End of the time slot.
string format: date-time
value
required
Price per kWh in the configured currency or emissions in g/kWh.
number
planTime
Timestamp in RFC3339 format
string format: date-time
power
Power in W
number
Example
{ "planId": 1, "power": 2500}